﻿@model List<eCommerce.Services.Model.PaymentMethod>
@{
    ViewBag.Title = "Formas de pago";
    Layout = "~/Views/Shared/_ListLayout.cshtml";
}


<div class="page-header">
    <h1 class="page-title">Formas de pago</h1>
</div>

<div class="page-content">
    @using (Html.BeginForm("PaymentMethods", "Configuration", FormMethod.Post, new { @class = "form-horizontal", @autocomplete = "off" }))
    {
        <ul class="list-group list-group-full js-pm-list">
            @{
                var n = 1;
            }

            @if (Model.Any())
            {
                foreach (var pm in Model)
                {
                    <div class="panel">
                        <div class="panel-body">
                            <div class="col-md-12">
                                <div id="example">
                                    <li class="list-group-item js-pm">
                                        <div class="row">
                                            <div class="col-sm-1">
                                                <label class="control-label">Habilitado</label>
                                                <div class="checkbox-custom checkbox-primary">
                                                    <input type="checkbox" name="PM_Enabled-@n" @(pm.Enabled.HasValue && pm.Enabled.Value == true ? "checked" : string.Empty) />
                                                    <label></label>
                                                </div>
                                            </div>
                                            <div class="col-sm-4">
                                                <label class="control-label">Forma</label>
                                                <input type="hidden" name="PM_Id-@n" value="@pm.PaymentMethodId" />
                                                <select class="form-control js-pm-id" data-plugin="select2" name="PM_PaymentMethodId-@n">
                                                    <option></option>
                                                    <option value="+">(+) Nueva</option>
                                                    @foreach (var item in (SelectList)TempData["PaymentMethods"])
                                                    {
                                                        <option value="@item.Value" @(item.Value == pm.PaymentMethodId.ToString() ? "selected" : string.Empty)>@item.Text</option>
                                                    }
                                                </select>
                                            </div>
                                            @*<div class="col-sm-2">
                                                    <label class="control-label">Recargo ($)</label>
                                                    <div class="input-group">
                                                        <span class="input-group-addon">$</span>
                                                        <input type="number" class="form-control" name="PM_Surcharge-@n" value="@(pm.Surcharge.HasValue ? pm.Surcharge.Value.ToString("0") : string.Empty)" />
                                                    </div>
                                                </div>*@
                                            @*<div class="col-sm-2">
                                                    <label class="control-label">Recargo (%)</label>
                                                    <div class="input-group">
                                                        <input type="text" class="form-control" name="PM_SurchargePercent-@n" value="@(pm.SurchargePercent.HasValue ? pm.SurchargePercent.Value.ToString() : string.Empty)" />
                                                        <span class="input-group-addon">%</span>
                                                    </div>
                                                </div>*@
                                            @*<div class="col-sm-2">
                                                    <label class="control-label">Tipo</label>
                                                    <select class="form-control" data-plugin="select2" name="PM_SalesTypeId-@n">
                                                        <option></option>
                                                        @foreach (var item in (SelectList)TempData["SalesTypes"])
                                                        {
                                                            <option value="@item.Value" @(item.Value == pm.SalesTypeId.ToString() ? "selected" : string.Empty)>@item.Text</option>
                                                        }
                                                    </select>
                                                </div>*@
                                            <div class="col-sm-2">
                                                <label class="control-label">Requiere datos</label>
                                                <div class="checkbox-custom checkbox-primary">
                                                    <input type="checkbox" name="PM_RequiresData-@n" @(pm.RequiresData ? "checked" : string.Empty) />
                                                    <label></label>
                                                </div>
                                            </div>
                                            <div class="col-sm-7 text-right">
                                                <label class="control-label"></label>
                                                <button type="button" class="btn btn-danger js-pm-delete">Eliminar</button>
                                                <input type="hidden" name="PM_Deleted-@n" class="js-deleted" value="false" />
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-sm-5 col-sm-offset-1">
                                                <label class="control-label">Título</label>
                                                <input type="text" class="form-control" name="PM_Name-@n" value="@pm.Name" />
                                            </div>
                                            <div class="col-sm-6">
                                                <label class="control-label">Descripción</label>
                                                <textarea class="form-control" name="PM_Description-@n">@pm.Description</textarea>
                                            </div>
                                        </div>

                                        <div class="row" style="margin-top: 20px">
                                            <div class="col-sm-6 col-sm-offset-1">
                                                <label class="control-label">Texto para Mails</label>
                                                <div id="summernote-@n" name="summernote" data-plugin="summernote">
                                                    @Html.Raw(pm.MailText)
                                                </div>
                                            </div>
                                            <input type="text" name="PM_MailText-@n" id="PM_MailText-@n" style="display:none;" />
                                        </div>


                                    </li>
                                </div>
                            </div>
                        </div>
                    </div>
                    n++;
                }
            }
            else
            {
                <div class="panel">
                    <div class="panel-body">
                        <div class="col-md-12">
                            <div id="example">
                                <li class="list-group-item js-pm">
                                    <div class="row">
                                        <div class="col-sm-1">
                                            <label class="control-label"></label>
                                            <div class="checkbox-custom checkbox-primary">
                                                <input type="checkbox" name="PM_Enabled-@n" checked />
                                                <label></label>
                                            </div>
                                        </div>
                                        <div class="col-sm-4">
                                            <label class="control-label">Forma</label>
                                            <input type="hidden" name="PM_Id-@n" value="-1" />
                                            <select class="form-control" data-plugin="select2" name="PM_PaymentMethodId-@n">
                                                <option></option>
                                                <option value="+">(+) Nueva</option>
                                                @foreach (var item in (SelectList)TempData["PaymentMethods"])
                                                {
                                                    <option value="@item.Value">@item.Text</option>
                                                }
                                            </select>
                                        </div>
                                        @*<div class="col-sm-2">
                                                <label class="control-label">Recargo ($)</label>
                                                <div class="input-group">
                                                    <span class="input-group-addon">$</span>
                                                    <input type="number" class="form-control" name="PM_Surcharge-@n" value="" />
                                                </div>
                                            </div>
                                            <div class="col-sm-2">
                                                <label class="control-label">Recargo (%)</label>
                                                <div class="input-group">
                                                    <input type="text" class="form-control" name="PM_SurchargePercent-@n" value="" />
                                                    <span class="input-group-addon">%</span>
                                                </div>
                                            </div>*@
                                        <div class="col-sm-2">
                                            <label class="control-label">Requiere datos</label>
                                            <div class="checkbox-custom checkbox-primary">
                                                <input type="checkbox" name="PM_RequiresData-@n" />
                                                <label></label>
                                            </div>
                                        </div>
                                        <div class="col-sm-7 text-right">
                                            <label class="control-label"></label>
                                            <button type="button" class="btn btn-danger js-pm-delete">Eliminar</button>
                                            <input type="text" name="PM_Deleted-@n" class="js-deleted" value="false" />
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-sm-5 col-sm-offset-1">
                                            <label class="control-label">Título</label>
                                            <input type="text" class="form-control" name="PM_Name-@n" value="" />
                                        </div>
                                        <div class="col-sm-6">
                                            <label class="control-label">Descripción</label>
                                            <textarea class="form-control" name="PM_Description-@n"></textarea>
                                        </div>
                                    </div>
                                </li>
                            </div>
                        </div>
                    </div>
                </div>
            }
        </ul>

                    <button type="button" class="btn btn-primary js-add-pm">Agregar</button>
                    <input type="hidden" id="itemsNumber" value="@n"/>

                        <div class="text-right">
                            <button type="submit" class="btn btn-primary btn-success" id="btnSave" onclick="save()">Grabar</button>
                        </div>
                }
</div>

<!-- Template -->

<template id="PaymentMethodItem">
    <div class="panel">
        <div class="panel-body">
            <div class="col-md-12">
                <div id="example">
                    <li class="list-group-item js-pm">
                        <div class="row">
                            <div class="col-sm-1">
                                <label class="control-label">Habilitado</label>
                                <div class="checkbox-custom checkbox-primary">
                                    <input type="checkbox" name="PM_Enabled-{n}" checked />
                                    <label></label>
                                </div>
                            </div>
                            <div class="col-sm-4">
                                <label class="control-label">Forma</label>
                                <input type="hidden" name="PM_Id-{n}" value="-1" />
                                <select class="form-control js-pm-id" data-plugin="select2" name="PM_PaymentMethodId-{n}">
                                    <option></option>
                                    <option value="+">(+) Nueva</option>
                                    @foreach (var item in (SelectList)TempData["PaymentMethods"])
                                    {
                                        <option value="@item.Value">@item.Text</option>
                                    }
                                </select>
                            </div>
                            @*<div class="col-sm-2">
                                    <label class="control-label">Recargo</label>
                                    <div class="input-group">
                                        <span class="input-group-addon">$</span>
                                        <input type="number" class="form-control" name="PM_Surcharge-{n}" value="" />
                                    </div>
                                </div>
                                <div class="col-sm-2">
                                    <label class="control-label">Recargo (%)</label>
                                    <div class="input-group">
                                        <input type="text" class="form-control" name="PM_SurchargePercent-{n}" value="" />
                                        <span class="input-group-addon">%</span>
                                    </div>
                                </div>*@
                            <div class="col-sm-2">
                                <label class="control-label">Requiere datos</label>
                                <div class="checkbox-custom checkbox-primary">
                                    <input type="checkbox" name="PM_RequiresData-{n}" />
                                    <label></label>
                                </div>
                            </div>
                            <div class="col-sm-7 text-right">
                                <label class="control-label"></label>
                                <button type="button" class="btn btn-danger js-pm-delete">Eliminar</button>
                                <input type="hidden" name="PM_Deleted-{n}" class="js-deleted" value="false" />
                            </div>

                        </div>
                        <div class="row">
                            <div class="col-sm-5 col-sm-offset-1">
                                <label class="control-label">Título</label>
                                <input type="text" class="form-control" name="PM_Name-{n}" value="" />
                            </div>
                            <div class="col-sm-6">
                                <label class="control-label">Descripción</label>
                                <textarea class="form-control" name="PM_Description-{n}"></textarea>
                            </div>
                        </div>
                    </li>
                </div>
            </div>
        </div>
    </div>
</template>

@section Scripts {

    <script type="text/javascript">
        
      

        var save = function () {
            var item = $("#itemsNumber").val();
            for (var i = 1; i < item; i++) {
                var html = encodeURIComponent($("#summernote-" + i).summernote("code"));
                $("#PM_MailText-" + i).val(html);
            }

            
            $("#btnSave").click();
        };

        (function () {
            $('.form-horizontal').formValidation({
                framework: "bootstrap",
                button: {
                    selector: '#btnSave',
                    disabled: 'disabled'
                },
                icon: null,
            });
        })();

        $(document).ready(function () {
            $(".currency").number(true, 2, ',', '.');
            debugger;
            var ite = $("#itemsNumber").val();
            for (var i = 0; i < ite; i++) {
                $('#summernote-' + i).summernote({
                    tabsize: 2,
                    height: 120
                });
            }
        });

        $('.js-add-pm').click(function () {
            var template = $('#PaymentMethodItem').html();
            var n = $('.js-pm-list li').length + 1;
            template = template.replace(/{n}/g, n);
            var $template = $(template);
            $template.find('select').select2();
            $('.js-pm-list').append($template);
            PaymentMethodEvents();
        });


        $('.js-pm-delete').click(function () {
            debugger;
            var $item = $(this).closest('.js-pm');
            $item.addClass('hidden');
            $item.find('.js-deleted').val(true)
        });

        //$('#summernote').summernote({
        //});

        //var save = function () {
        //    var html = encodeURIComponent($("#summernote").summernote("code"));
        //    $("#hidHtml").val(html);
        //    $("#btnSave").click();
        //};
    </script>
}

